use serde::Deserialize;
use std::error::Error;

#[derive(Deserialize, Debug)]
struct ApiRes {
    origin: String,
}

fn main() -> Result<(), Box<dyn Error>> {
    let res = reqwest::blocking::get("http://httpbin.org/ip")?.json::<ApiRes>()?;
    println!("{}", res.origin);
    Ok(())
}
